/* A Bison parser, made by GNU Bison 1.875.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     ABS = 258,
     ACTIONS = 259,
     AFTER = 260,
     AND = 261,
     ANY = 262,
     COUNT = 263,
     EFFECTS = 264,
     ELSE = 265,
     EVENTS = 266,
     EXISTS = 267,
     FALSE = 268,
     FLUENTS = 269,
     FORALL = 270,
     GOALDOT = 271,
     GOALS = 272,
     HEURISTICS = 273,
     IF = 274,
     INITIALLY = 275,
     INSTANCES = 276,
     IN = 277,
     MAX = 278,
     MIN = 279,
     MOD = 280,
     NOT = 281,
     OR = 282,
     PID = 283,
     PRODUCT = 284,
     DISABLED = 285,
     REQUIRES = 286,
     RULES = 287,
     SORTS = 288,
     STATIC = 289,
     STRIPS = 290,
     SUM = 291,
     TRUE = 292,
     UNKNOWN = 293,
     VARS = 294,
     WITH = 295,
     EKS = 296,
     DOTS = 297,
     ASSIGN = 298,
     ARROW = 299,
     GEQ = 300,
     LEQ = 301,
     NEQ = 302,
     NUMBER = 303,
     ID = 304,
     VID = 305,
     STRING = 306,
     PREV = 307,
     UMINUS = 308
   };
#endif
#define ABS 258
#define ACTIONS 259
#define AFTER 260
#define AND 261
#define ANY 262
#define COUNT 263
#define EFFECTS 264
#define ELSE 265
#define EVENTS 266
#define EXISTS 267
#define FALSE 268
#define FLUENTS 269
#define FORALL 270
#define GOALDOT 271
#define GOALS 272
#define HEURISTICS 273
#define IF 274
#define INITIALLY 275
#define INSTANCES 276
#define IN 277
#define MAX 278
#define MIN 279
#define MOD 280
#define NOT 281
#define OR 282
#define PID 283
#define PRODUCT 284
#define DISABLED 285
#define REQUIRES 286
#define RULES 287
#define SORTS 288
#define STATIC 289
#define STRIPS 290
#define SUM 291
#define TRUE 292
#define UNKNOWN 293
#define VARS 294
#define WITH 295
#define EKS 296
#define DOTS 297
#define ASSIGN 298
#define ARROW 299
#define GEQ 300
#define LEQ 301
#define NEQ 302
#define NUMBER 303
#define ID 304
#define VID 305
#define STRING 306
#define PREV 307
#define UMINUS 308




/* Copy the first part of user declarations.  */
#line 1 "parser.y"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "getterms.h"

extern int yylex(void);

int ruleline=1;

extern int yyrestart(FILE *);
int yyerror (char *s)  /* Called by yyparse on error */
{
  fprintf (stderr,"%d: %s after `%s'\n", yyline, s, yytext);
  return 1;
}



/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 20 "parser.y"
typedef union YYSTYPE {
char  	*strval; /* For returning a string */
} YYSTYPE;
/* Line 191 of yacc.c.  */
#line 204 "y.tab.c"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 214 of yacc.c.  */
#line 216 "y.tab.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  46
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   760

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  69
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  48
/* YYNRULES -- Number of rules. */
#define YYNRULES  133
/* YYNRULES -- Number of states. */
#define YYNSTATES  247

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   308

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      64,    65,    58,    57,    63,    56,    61,    59,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    62,     2,
      55,    53,    54,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    66,    68,    67,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    60
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned short yyprhs[] =
{
       0,     0,     3,     5,     7,    10,    13,    16,    19,    20,
      24,    27,    30,    31,    35,    36,    40,    42,    45,    49,
      55,    57,    61,    63,    67,    70,    72,    74,    76,    78,
      81,    85,    89,    90,    95,    98,    99,   102,   104,   108,
     110,   114,   118,   122,   126,   130,   133,   139,   147,   149,
     152,   156,   158,   162,   166,   168,   172,   176,   178,   181,
     185,   187,   191,   195,   198,   202,   203,   207,   209,   211,
     212,   213,   216,   218,   222,   225,   227,   230,   231,   240,
     241,   248,   249,   253,   257,   259,   261,   263,   265,   271,
     275,   279,   282,   286,   290,   294,   298,   302,   306,   310,
     314,   318,   322,   326,   331,   335,   338,   341,   344,   347,
     350,   353,   356,   359,   365,   371,   373,   378,   380,   383,
     389,   391,   396,   397,   399,   402,   404,   408,   410,   414,
     416,   418,   420,   422
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      70,     0,    -1,    71,    -1,    72,    -1,    71,    72,    -1,
      21,    76,    -1,    80,    81,    -1,    39,    88,    -1,    -1,
      32,    73,    95,    -1,    35,   101,    -1,    18,   105,    -1,
      -1,    20,    74,    95,    -1,    -1,    17,    75,    95,    -1,
      77,    -1,    76,    77,    -1,   113,    78,    61,    -1,   113,
     115,    62,    86,    61,    -1,    79,    -1,    78,    63,    79,
      -1,   107,    -1,   107,    42,   107,    -1,     7,    86,    -1,
       4,    -1,    14,    -1,    11,    -1,    34,    -1,    82,    61,
      -1,    81,    82,    61,    -1,   112,    83,    84,    -1,    -1,
      62,    85,    44,    86,    -1,    62,    86,    -1,    -1,    53,
     107,    -1,    86,    -1,    85,    41,    86,    -1,    87,    -1,
      64,    86,    65,    -1,    86,    58,    86,    -1,    86,    57,
      86,    -1,    86,    56,    86,    -1,    66,    78,    67,    -1,
      66,    67,    -1,    66,   107,    68,   100,    67,    -1,    66,
     115,    62,    86,    68,   111,    67,    -1,   113,    -1,    89,
      61,    -1,    88,    89,    61,    -1,    90,    -1,    89,    63,
      90,    -1,    91,    62,    86,    -1,   115,    -1,    91,    63,
     115,    -1,   108,    53,   107,    -1,   108,    -1,    26,   108,
      -1,   108,    22,    86,    -1,    94,    -1,    93,    63,    94,
      -1,   108,    43,   107,    -1,    96,    61,    -1,    95,    96,
      61,    -1,    -1,    98,    97,    99,    -1,    92,    -1,    13,
      -1,    -1,    -1,    19,   100,    -1,   111,    -1,   111,    39,
      89,    -1,    39,    89,    -1,   102,    -1,   101,   102,    -1,
      -1,    92,   103,    31,   111,    61,     9,    93,    61,    -1,
      -1,    30,    92,   104,    19,   111,    61,    -1,    -1,   106,
     107,    61,    -1,    64,   107,    65,    -1,   116,    -1,    37,
      -1,    13,    -1,   108,    -1,   107,    19,   107,    10,   107,
      -1,   107,     6,   107,    -1,   107,    27,   107,    -1,    26,
     107,    -1,   107,    53,   107,    -1,   107,    54,   107,    -1,
     107,    55,   107,    -1,   107,    45,   107,    -1,   107,    46,
     107,    -1,   107,    47,   107,    -1,   107,    57,   107,    -1,
     107,    56,   107,    -1,   107,    58,   107,    -1,   107,    59,
     107,    -1,   107,    25,   107,    -1,     3,    64,   107,    65,
      -1,    68,   107,    68,    -1,    56,   107,    -1,    36,    86,
      -1,    29,    86,    -1,    24,    86,    -1,    23,    86,    -1,
       8,    86,    -1,    15,    86,    -1,    12,    86,    -1,    15,
      89,    64,   107,    65,    -1,    12,    89,    64,   107,    65,
      -1,   109,    -1,    38,    64,   109,    65,    -1,   115,    -1,
     110,   113,    -1,   110,   113,    64,   111,    65,    -1,   114,
      -1,   114,    64,   111,    65,    -1,    -1,    16,    -1,    52,
      61,    -1,   107,    -1,   111,    63,   107,    -1,   113,    -1,
     112,    63,   113,    -1,    49,    -1,    41,    -1,    28,    -1,
      50,    -1,    48,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short yyrline[] =
{
       0,   120,   120,   122,   122,   125,   126,   127,   128,   128,
     129,   130,   131,   131,   132,   132,   137,   137,   140,   141,
     146,   147,   151,   152,   153,   159,   160,   161,   162,   166,
     167,   170,   175,   176,   177,   180,   180,   183,   184,   188,
     189,   190,   191,   192,   196,   197,   198,   200,   203,   209,
     210,   213,   214,   217,   221,   222,   228,   229,   230,   231,
     235,   236,   240,   244,   244,   248,   248,   253,   254,   255,
     259,   260,   264,   265,   266,   277,   277,   279,   279,   283,
     283,   291,   291,   297,   298,   299,   300,   301,   303,   305,
     306,   307,   309,   310,   311,   312,   313,   314,   316,   317,
     318,   319,   320,   321,   322,   324,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   338,   339,   343,   344,   345,
     347,   348,   353,   354,   360,   364,   365,   369,   370,   374,
     375,   379,   382,   384
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "ABS", "ACTIONS", "AFTER", "AND", "ANY", 
  "COUNT", "EFFECTS", "ELSE", "EVENTS", "EXISTS", "FALSE", "FLUENTS", 
  "FORALL", "GOALDOT", "GOALS", "HEURISTICS", "IF", "INITIALLY", 
  "INSTANCES", "IN", "MAX", "MIN", "MOD", "NOT", "OR", "PID", "PRODUCT", 
  "DISABLED", "REQUIRES", "RULES", "SORTS", "STATIC", "STRIPS", "SUM", 
  "TRUE", "UNKNOWN", "VARS", "WITH", "EKS", "DOTS", "ASSIGN", "ARROW", 
  "GEQ", "LEQ", "NEQ", "NUMBER", "ID", "VID", "STRING", "PREV", "'='", 
  "'>'", "'<'", "'-'", "'+'", "'*'", "'/'", "UMINUS", "'.'", "':'", "','", 
  "'('", "')'", "'{'", "'}'", "'|'", "$accept", "program", "declarations", 
  "declaration", "@1", "@2", "@3", "instdecls", "instdecl", "elems", 
  "elemgroup", "attrtype", "attrheaders", "attrheader", "attrstruct", 
  "defvalue", "domain", "setexpr", "set", "varclauses", "vardecls", 
  "vardecl", "vidlist", "refliteral", "refassigns", "refassign", 
  "ruledecls", "ruledecl", "@4", "rulehead", "rulecond", "rulebody", 
  "stripsdecls", "stripsdecl", "@5", "@6", "heuristdecl", "@7", "exp", 
  "reference", "reference2", "modifier", "explist", "idlist", "id", "pid", 
  "vid", "num", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    61,    62,    60,    45,    43,    42,    47,
     308,    46,    58,    44,    40,    41,   123,   125,   124
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    69,    70,    71,    71,    72,    72,    72,    73,    72,
      72,    72,    74,    72,    75,    72,    76,    76,    77,    77,
      78,    78,    79,    79,    79,    80,    80,    80,    80,    81,
      81,    82,    83,    83,    83,    84,    84,    85,    85,    86,
      86,    86,    86,    86,    87,    87,    87,    87,    87,    88,
      88,    89,    89,    90,    91,    91,    92,    92,    92,    92,
      93,    93,    94,    95,    95,    97,    96,    98,    98,    98,
      99,    99,   100,   100,   100,   101,   101,   103,   102,   104,
     102,   106,   105,   107,   107,   107,   107,   107,   107,   107,
     107,   107,   107,   107,   107,   107,   107,   107,   107,   107,
     107,   107,   107,   107,   107,   107,   107,   107,   107,   107,
     107,   107,   107,   107,   107,   108,   108,   109,   109,   109,
     109,   109,   110,   110,   110,   111,   111,   112,   112,   113,
     113,   114,   115,   116
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     1,     1,     2,     2,     2,     2,     0,     3,
       2,     2,     0,     3,     0,     3,     1,     2,     3,     5,
       1,     3,     1,     3,     2,     1,     1,     1,     1,     2,
       3,     3,     0,     4,     2,     0,     2,     1,     3,     1,
       3,     3,     3,     3,     3,     2,     5,     7,     1,     2,
       3,     1,     3,     3,     1,     3,     3,     1,     2,     3,
       1,     3,     3,     2,     3,     0,     3,     1,     1,     0,
       0,     2,     1,     3,     2,     1,     2,     0,     8,     0,
       6,     0,     3,     3,     1,     1,     1,     1,     5,     3,
       3,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     4,     3,     2,     2,     2,     2,     2,
       2,     2,     2,     5,     5,     1,     4,     1,     2,     5,
       1,     4,     0,     1,     2,     1,     3,     1,     3,     1,
       1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       0,    25,    27,    26,    14,    81,    12,     0,     8,    28,
     122,     0,     0,     2,     3,     0,    69,    11,   122,    69,
     130,   129,     5,    16,   122,    69,   123,   122,   131,   122,
       0,   132,     0,    77,    10,    75,    57,   115,     0,   120,
     117,     7,     0,    51,     0,    54,     1,     4,     6,     0,
      32,   127,    68,    67,    15,     0,    65,     0,     0,     0,
      86,     0,     0,     0,   122,     0,     0,    85,   133,   122,
     122,   122,     0,    87,    84,    13,    17,     0,     0,    20,
      22,   117,     9,    58,    79,   122,   124,     0,    76,     0,
     122,   118,   122,     0,    49,     0,     0,     0,     0,    29,
       0,     0,    35,     0,    63,    70,   122,     0,   122,   110,
      39,    48,   112,     0,   111,     0,   109,   108,    91,   107,
     106,   105,     0,     0,   122,   122,   122,   122,   122,   122,
     122,   122,   122,   122,   122,   122,   122,   122,    82,    24,
      18,   122,   122,     0,     0,     0,   122,    59,    56,   122,
     125,     0,    50,    52,    53,    55,    30,     0,    34,   128,
     122,    31,    64,   122,    66,     0,     0,    45,     0,    22,
     117,     0,     0,     0,   122,   122,    83,   104,    89,     0,
     102,    90,    95,    96,    97,    92,    93,    94,    99,    98,
     100,   101,    21,    23,     0,   122,   116,     0,     0,   122,
     121,     0,     0,    36,     0,    71,    72,   103,    40,    44,
     122,     0,    43,    42,    41,     0,     0,   122,    19,     0,
       0,   119,   126,    38,    33,    74,     0,     0,     0,   114,
     113,    88,    80,   122,    73,    46,   122,     0,    60,     0,
       0,    78,   122,   122,    47,    61,    62
};

/* YYDEFGOTO[NTERM-NUM]. */
static const short yydefgoto[] =
{
      -1,    12,    13,    14,    25,    19,    16,    22,    23,    78,
      79,    15,    48,    49,   102,   161,   157,   109,   110,    41,
      42,    43,    44,    53,   237,   238,    54,    55,   105,    56,
     164,   205,    34,    35,    87,   144,    17,    18,   150,    73,
      37,    38,   206,    50,   111,    39,    40,    74
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -70
static const short yypact[] =
{
     721,   -70,   -70,   -70,   -70,   -70,   -70,   -36,   -70,   -70,
     -12,   -40,    49,   721,   -70,   -36,   669,   -70,   323,   669,
     -70,   -70,   -36,   -70,   231,   669,   -70,   114,   -70,     5,
       4,   -70,     9,   -70,   696,   -70,   -19,   -70,   -36,    17,
     -70,   -40,   -22,   -70,   152,   -70,   -70,   -70,   -36,    42,
     158,   -70,   -70,   -70,   122,    61,   -70,    31,    30,    34,
     -70,    34,    30,    30,   323,    30,    30,   -70,   -70,   323,
     323,   323,   519,   -70,   -70,   122,   -70,    30,    27,   -70,
     542,    16,   122,   -70,   -70,    14,   -70,    97,   -70,    30,
     323,    69,   323,    76,   -70,   -40,    30,   -40,    75,   -70,
      30,   -36,   109,   112,   -70,   156,   323,    30,   181,   155,
     -70,   -70,   155,   161,   155,   164,   155,   155,   217,   155,
     155,   -70,   405,   363,   323,   323,   323,   323,   323,   323,
     323,   323,   323,   323,   323,   323,   323,   323,   -70,   155,
     -70,   231,   323,    30,   167,   125,   323,   155,   622,   323,
     599,   -38,   -70,   -70,   155,   -70,   -70,     7,    88,   -70,
     323,   -70,   -70,   277,   -70,   420,   120,   -70,   -35,   347,
     130,    30,    30,    30,   323,   323,   -70,   -70,   217,   584,
     -70,   645,   217,   217,   217,   217,   217,   217,   -13,   -13,
     -70,   -70,   -70,   599,   145,   323,   -70,    86,    91,   323,
     -70,    30,    30,   599,   -40,   -70,   -28,   -70,   -70,   -70,
     277,    30,   137,   137,   -70,   462,   477,   323,   -70,    90,
     207,   -70,   599,   155,   155,   159,   -40,   168,   123,   -70,
     -70,   599,   -70,   114,   159,   -70,   323,    98,   -70,   193,
      64,   -70,   114,   323,   -70,   -70,   599
};

/* YYPGOTO[NTERM-NUM].  */
static const short yypgoto[] =
{
     -70,   -70,   -70,   227,   -70,   -70,   -70,   -70,   219,   142,
     110,   -70,   -70,   205,   -70,   -70,   -70,    -3,   -70,   -70,
     -39,   163,   -70,    72,   -70,    19,    80,   -46,   -70,   -70,
     -70,    46,   -70,   232,   -70,   -70,   -70,   -70,   -17,   -10,
     180,   -70,   -69,   -70,    54,   -70,    26,   -70
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -123
static const short yytable[] =
{
      36,    72,    93,    89,    26,    20,    36,    80,   103,    36,
      31,   226,   126,    21,    27,    36,    28,    83,    29,    36,
     113,    26,   115,   151,    36,   199,    30,   200,   141,   103,
      26,    27,   209,    28,    90,   199,   103,    45,    31,    94,
      32,    95,    28,    30,    36,   136,   137,   118,   201,    46,
      81,   202,   121,   122,   123,    31,   112,    32,   114,   116,
     117,    24,   119,   120,    31,    36,    32,    45,    85,    51,
      86,    20,    36,   148,   139,    20,    24,   197,   143,    21,
     198,    92,    33,    21,    31,    45,   147,    45,   140,   165,
     141,   169,    91,   154,   107,   106,   108,   158,   107,    75,
     108,    84,    51,    99,   166,    82,    33,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    45,   104,   155,    80,   193,   219,   199,   146,   -37,
      26,   244,   -37,   149,   170,    52,   156,   152,    26,    95,
     194,   -69,    28,   203,   171,   172,   173,   220,    27,   199,
      28,   232,    30,   199,   199,   159,   221,   215,   216,   241,
      30,   242,   160,  -122,    31,   225,    32,   240,   212,   213,
     214,  -122,    31,   162,    32,   163,   171,   172,   173,   171,
     172,   173,   222,   -69,    57,   208,   195,   234,    77,    58,
     196,   236,   211,    59,    60,   173,    61,    26,   223,   224,
     231,   171,   172,   173,    62,    63,   218,    64,   228,    28,
      65,   171,   172,   173,    96,    97,   233,    66,    67,    30,
     100,   101,    95,   239,    95,   174,   246,    95,   175,    68,
      45,    31,   239,    32,    57,   235,   243,    69,    77,    58,
      47,    76,   126,    59,    60,    70,    61,    26,   167,    71,
     168,   192,    45,    98,    62,    63,   227,    64,   153,    28,
      65,   245,   128,   129,   130,   145,    88,    66,    67,    30,
     131,   132,   133,   134,   135,   136,   137,     0,     0,    68,
      57,    31,     0,    32,     0,    58,     0,    69,     0,    59,
      60,     0,    61,    26,     0,    70,     0,     0,     0,    71,
      62,    63,     0,    64,     0,    28,    65,     0,     0,     0,
       0,     0,     0,    66,    67,    30,   204,     0,     0,     0,
       0,     0,     0,     0,     0,    68,    57,    31,     0,    32,
       0,    58,     0,    69,     0,    59,    60,     0,    61,    26,
       0,    70,     0,     0,     0,    71,    62,    63,     0,    64,
       0,    28,    65,   124,     0,     0,     0,     0,     0,    66,
      67,    30,     0,     0,     0,     0,   125,     0,     0,   124,
       0,    68,   126,    31,   127,    32,     0,     0,     0,    69,
       0,     0,   125,     0,     0,     0,     0,    70,   126,   142,
     127,    71,   128,   129,   130,     0,     0,     0,     0,     0,
     131,   132,   133,   134,   135,   136,   137,     0,   128,   129,
     130,   124,     0,     0,     0,   210,   131,   132,   133,   134,
     135,   136,   137,     0,   125,     0,   124,     0,     0,     0,
     126,   177,   127,     0,     0,     0,     0,     0,     0,   125,
       0,     0,     0,     0,     0,   126,     0,   127,     0,     0,
     128,   129,   130,     0,     0,     0,     0,     0,   131,   132,
     133,   134,   135,   136,   137,   128,   129,   130,   124,     0,
     176,     0,     0,   131,   132,   133,   134,   135,   136,   137,
       0,   125,     0,   124,     0,   207,     0,   126,     0,   127,
       0,     0,     0,     0,     0,     0,   125,     0,     0,     0,
       0,     0,   126,     0,   127,     0,     0,   128,   129,   130,
       0,     0,     0,     0,     0,   131,   132,   133,   134,   135,
     136,   137,   128,   129,   130,   124,     0,   229,     0,     0,
     131,   132,   133,   134,   135,   136,   137,     0,   125,     0,
       0,     0,   230,     0,   126,     0,   127,     0,   124,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   125,     0,     0,   128,   129,   130,   126,     0,   127,
       0,     0,   131,   132,   133,   134,   135,   136,   137,     0,
     138,     0,     0,     0,   142,     0,     0,   128,   129,   130,
     124,     0,     0,     0,   217,   131,   132,   133,   134,   135,
     136,   137,     0,   125,     0,   124,     0,     0,     0,   126,
       0,   127,     0,     0,     0,     0,     0,     0,   125,     0,
       0,     0,     0,     0,   126,     0,   127,     0,   124,   128,
     129,   130,     0,     0,     0,     0,     0,   131,   132,   133,
     134,   135,   136,   137,   128,   129,   130,   126,     0,   127,
       0,   124,   131,   132,   133,   134,   135,   136,   137,     0,
       0,     0,     0,     0,     0,     0,     0,   128,   129,   130,
     126,     0,     0,     0,     0,   131,   132,   133,   134,   135,
     136,   137,    52,     0,     0,    26,     0,     0,     0,     0,
     128,   129,   130,     0,     0,    27,     0,    28,   131,   132,
     133,   134,   135,   136,   137,     0,     0,    30,     0,     0,
    -122,     0,    26,     0,     0,     0,     0,     0,  -122,    31,
       0,    32,    27,     0,    28,     1,    29,     0,     0,     0,
       0,     0,     2,     0,    30,     3,     0,  -122,     4,     5,
       0,     6,     7,     0,     0,  -122,    31,     0,    32,     0,
       0,     0,     0,     8,     0,     9,    10,     0,     0,     0,
      11
};

static const short yycheck[] =
{
      10,    18,    41,    22,    16,    41,    16,    24,    54,    19,
      50,    39,    25,    49,    26,    25,    28,    27,    30,    29,
      59,    16,    61,    92,    34,    63,    38,    65,    63,    75,
      16,    26,    67,    28,    53,    63,    82,    11,    50,    61,
      52,    63,    28,    38,    54,    58,    59,    64,    41,     0,
      24,    44,    69,    70,    71,    50,    59,    52,    61,    62,
      63,     7,    65,    66,    50,    75,    52,    41,    64,    15,
      61,    41,    82,    90,    77,    41,    22,   146,    62,    49,
     149,    64,    10,    49,    50,    59,    89,    61,    61,   106,
      63,   108,    38,    96,    64,    64,    66,   100,    64,    19,
      66,    29,    48,    61,   107,    25,    34,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    95,    61,    97,   141,   142,   195,    63,    31,    41,
      16,    67,    44,    64,   108,    13,    61,    61,    16,    63,
     143,    19,    28,   160,    56,    57,    58,    61,    26,    63,
      28,    61,    38,    63,    63,   101,    65,   174,   175,    61,
      38,    63,    53,    41,    50,   204,    52,   236,   171,   172,
     173,    49,    50,    61,    52,    19,    56,    57,    58,    56,
      57,    58,   199,    61,     3,    65,    19,   226,     7,     8,
      65,    68,    62,    12,    13,    58,    15,    16,   201,   202,
     217,    56,    57,    58,    23,    24,    61,    26,   211,    28,
      29,    56,    57,    58,    62,    63,     9,    36,    37,    38,
      62,    63,    63,   233,    63,    64,   243,    63,    64,    48,
     204,    50,   242,    52,     3,    67,    43,    56,     7,     8,
      13,    22,    25,    12,    13,    64,    15,    16,    67,    68,
     108,   141,   226,    48,    23,    24,   210,    26,    95,    28,
      29,   242,    45,    46,    47,    85,    34,    36,    37,    38,
      53,    54,    55,    56,    57,    58,    59,    -1,    -1,    48,
       3,    50,    -1,    52,    -1,     8,    -1,    56,    -1,    12,
      13,    -1,    15,    16,    -1,    64,    -1,    -1,    -1,    68,
      23,    24,    -1,    26,    -1,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    37,    38,    39,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    48,     3,    50,    -1,    52,
      -1,     8,    -1,    56,    -1,    12,    13,    -1,    15,    16,
      -1,    64,    -1,    -1,    -1,    68,    23,    24,    -1,    26,
      -1,    28,    29,     6,    -1,    -1,    -1,    -1,    -1,    36,
      37,    38,    -1,    -1,    -1,    -1,    19,    -1,    -1,     6,
      -1,    48,    25,    50,    27,    52,    -1,    -1,    -1,    56,
      -1,    -1,    19,    -1,    -1,    -1,    -1,    64,    25,    42,
      27,    68,    45,    46,    47,    -1,    -1,    -1,    -1,    -1,
      53,    54,    55,    56,    57,    58,    59,    -1,    45,    46,
      47,     6,    -1,    -1,    -1,    68,    53,    54,    55,    56,
      57,    58,    59,    -1,    19,    -1,     6,    -1,    -1,    -1,
      25,    68,    27,    -1,    -1,    -1,    -1,    -1,    -1,    19,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    27,    -1,    -1,
      45,    46,    47,    -1,    -1,    -1,    -1,    -1,    53,    54,
      55,    56,    57,    58,    59,    45,    46,    47,     6,    -1,
      65,    -1,    -1,    53,    54,    55,    56,    57,    58,    59,
      -1,    19,    -1,     6,    -1,    65,    -1,    25,    -1,    27,
      -1,    -1,    -1,    -1,    -1,    -1,    19,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    27,    -1,    -1,    45,    46,    47,
      -1,    -1,    -1,    -1,    -1,    53,    54,    55,    56,    57,
      58,    59,    45,    46,    47,     6,    -1,    65,    -1,    -1,
      53,    54,    55,    56,    57,    58,    59,    -1,    19,    -1,
      -1,    -1,    65,    -1,    25,    -1,    27,    -1,     6,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    19,    -1,    -1,    45,    46,    47,    25,    -1,    27,
      -1,    -1,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    -1,    -1,    -1,    42,    -1,    -1,    45,    46,    47,
       6,    -1,    -1,    -1,    10,    53,    54,    55,    56,    57,
      58,    59,    -1,    19,    -1,     6,    -1,    -1,    -1,    25,
      -1,    27,    -1,    -1,    -1,    -1,    -1,    -1,    19,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    27,    -1,     6,    45,
      46,    47,    -1,    -1,    -1,    -1,    -1,    53,    54,    55,
      56,    57,    58,    59,    45,    46,    47,    25,    -1,    27,
      -1,     6,    53,    54,    55,    56,    57,    58,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    46,    47,
      25,    -1,    -1,    -1,    -1,    53,    54,    55,    56,    57,
      58,    59,    13,    -1,    -1,    16,    -1,    -1,    -1,    -1,
      45,    46,    47,    -1,    -1,    26,    -1,    28,    53,    54,
      55,    56,    57,    58,    59,    -1,    -1,    38,    -1,    -1,
      41,    -1,    16,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    52,    26,    -1,    28,     4,    30,    -1,    -1,    -1,
      -1,    -1,    11,    -1,    38,    14,    -1,    41,    17,    18,
      -1,    20,    21,    -1,    -1,    49,    50,    -1,    52,    -1,
      -1,    -1,    -1,    32,    -1,    34,    35,    -1,    -1,    -1,
      39
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,     4,    11,    14,    17,    18,    20,    21,    32,    34,
      35,    39,    70,    71,    72,    80,    75,   105,   106,    74,
      41,    49,    76,    77,   113,    73,    16,    26,    28,    30,
      38,    50,    52,    92,   101,   102,   108,   109,   110,   114,
     115,    88,    89,    90,    91,   115,     0,    72,    81,    82,
     112,   113,    13,    92,    95,    96,    98,     3,     8,    12,
      13,    15,    23,    24,    26,    29,    36,    37,    48,    56,
      64,    68,   107,   108,   116,    95,    77,     7,    78,    79,
     107,   115,    95,   108,    92,    64,    61,   103,   102,    22,
      53,   113,    64,    89,    61,    63,    62,    63,    82,    61,
      62,    63,    83,    96,    61,    97,    64,    64,    66,    86,
      87,   113,    86,    89,    86,    89,    86,    86,   107,    86,
      86,   107,   107,   107,     6,    19,    25,    27,    45,    46,
      47,    53,    54,    55,    56,    57,    58,    59,    61,    86,
      61,    63,    42,    62,   104,   109,    31,    86,   107,    64,
     107,   111,    61,    90,    86,   115,    61,    85,    86,   113,
      53,    84,    61,    19,    99,   107,    86,    67,    78,   107,
     115,    56,    57,    58,    64,    64,    65,    68,   107,   107,
     107,   107,   107,   107,   107,   107,   107,   107,   107,   107,
     107,   107,    79,   107,    86,    19,    65,   111,   111,    63,
      65,    41,    44,   107,    39,   100,   111,    65,    65,    67,
      68,    62,    86,    86,    86,   107,   107,    10,    61,   111,
      61,    65,   107,    86,    86,    89,    39,   100,    86,    65,
      65,   107,    61,     9,    89,    67,    68,    93,    94,   108,
     111,    61,    63,    43,    67,    94,   107
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrlab1


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)         \
  Current.first_line   = Rhs[1].first_line;      \
  Current.first_column = Rhs[1].first_column;    \
  Current.last_line    = Rhs[N].last_line;       \
  Current.last_column  = Rhs[N].last_column;
#endif

/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YYDSYMPRINT(Args)			\
do {						\
  if (yydebug)					\
    yysymprint Args;				\
} while (0)

# define YYDSYMPRINTF(Title, Token, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Token, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (cinluded).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short *bottom, short *top)
#else
static void
yy_stack_print (bottom, top)
    short *bottom;
    short *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylineno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylineno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YYDSYMPRINT(Args)
# define YYDSYMPRINTF(Title, Token, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    {
      YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
# ifdef YYPRINT
      YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
    }
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yytype, yyvaluep)
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YYDSYMPRINTF ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %s, ", yytname[yytoken]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 8:
#line 128 "parser.y"
    {defRuleType="ruledecl";;}
    break;

  case 12:
#line 131 "parser.y"
    {defRuleType="initdecl";;}
    break;

  case 14:
#line 132 "parser.y"
    {defRuleType="goaldecl";;}
    break;

  case 18:
#line 140 "parser.y"
    { printf("instdecls(%s,[%s]).\n",yyvsp[-2].strval,yyvsp[-1].strval); ;}
    break;

  case 19:
#line 142 "parser.y"
    { printf("instdecls(%s,[set(%s)]).\n",yyvsp[-4].strval,yyvsp[-1].strval);;}
    break;

  case 20:
#line 146 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 21:
#line 147 "parser.y"
    {yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL);;}
    break;

  case 22:
#line 151 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 23:
#line 152 "parser.y"
    {yyval.strval=strCat("set(interval(",yyvsp[-2].strval,",",yyvsp[0].strval,"))",NULL);;}
    break;

  case 24:
#line 153 "parser.y"
    {yyval.strval=strCat("set(",yyvsp[0].strval,")",NULL);;}
    break;

  case 25:
#line 159 "parser.y"
    {defAttrType="action";;}
    break;

  case 26:
#line 160 "parser.y"
    {defAttrType="fluent";;}
    break;

  case 27:
#line 161 "parser.y"
    {defAttrType="event";;}
    break;

  case 28:
#line 162 "parser.y"
    {defAttrType="static";;}
    break;

  case 31:
#line 171 "parser.y"
    { printf("attrdecls(%s,[%s],%s,[%s]).\n",defAttrType,yyvsp[-2].strval,yyvsp[-1].strval,yyvsp[0].strval); ;}
    break;

  case 32:
#line 175 "parser.y"
    {yyval.strval="[],[]";;}
    break;

  case 33:
#line 176 "parser.y"
    {yyval.strval=strCat("[",yyvsp[-2].strval,"],",yyvsp[0].strval,NULL);;}
    break;

  case 34:
#line 177 "parser.y"
    {yyval.strval=strCat("[],",yyvsp[0].strval,NULL);;}
    break;

  case 35:
#line 180 "parser.y"
    {yyval.strval="";;}
    break;

  case 36:
#line 180 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 37:
#line 183 "parser.y"
    {yyval.strval=yyvsp[0].strval;}
    break;

  case 38:
#line 184 "parser.y"
    {yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL);;}
    break;

  case 39:
#line 188 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 40:
#line 189 "parser.y"
    {yyval.strval=yyvsp[-1].strval;;}
    break;

  case 41:
#line 190 "parser.y"
    {yyval.strval=strCat("intersect(",yyvsp[-2].strval,",",yyvsp[0].strval,")",NULL);;}
    break;

  case 42:
#line 191 "parser.y"
    {yyval.strval=strCat("union(",yyvsp[-2].strval,",",yyvsp[0].strval,")",NULL);;}
    break;

  case 43:
#line 192 "parser.y"
    {yyval.strval=strCat("diff(",yyvsp[-2].strval,",",yyvsp[0].strval,")",NULL);;}
    break;

  case 44:
#line 196 "parser.y"
    {yyval.strval=strCat("[",yyvsp[-1].strval,"]",NULL);;}
    break;

  case 45:
#line 197 "parser.y"
    {yyval.strval=strCat("[]",NULL);;}
    break;

  case 46:
#line 199 "parser.y"
    {yyval.strval=strCat("intensional(",yyvsp[-3].strval,",",yyvsp[-1].strval,")",NULL);;}
    break;

  case 47:
#line 201 "parser.y"
    {yyval.strval=strCat("intensional(",yyvsp[-5].strval,",body([",yyvsp[-1].strval,
			           "],[var([",yyvsp[-5].strval,"],",yyvsp[-3].strval,")]))",NULL);;}
    break;

  case 48:
#line 203 "parser.y"
    {yyval.strval=strCat("sort(",yyvsp[0].strval,")",NULL);;}
    break;

  case 49:
#line 209 "parser.y"
    { printf("vardecls([%s]).\n",yyvsp[-1].strval);;}
    break;

  case 50:
#line 210 "parser.y"
    { printf("vardecls([%s]).\n",yyvsp[-1].strval);;}
    break;

  case 51:
#line 213 "parser.y"
    { yyval.strval=yyvsp[0].strval; ;}
    break;

  case 52:
#line 214 "parser.y"
    { yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL); ;}
    break;

  case 53:
#line 218 "parser.y"
    { yyval.strval=strCat("var([",yyvsp[-2].strval,"],",yyvsp[0].strval,")",NULL);;}
    break;

  case 54:
#line 221 "parser.y"
    { yyval.strval=yyvsp[0].strval; ;}
    break;

  case 55:
#line 222 "parser.y"
    { yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL); ;}
    break;

  case 56:
#line 228 "parser.y"
    {yyval.strval=strCat(yyvsp[-2].strval,"=",yyvsp[0].strval,NULL);;}
    break;

  case 57:
#line 229 "parser.y"
    {yyval.strval=strCat(yyvsp[0].strval,"=true",NULL);;}
    break;

  case 58:
#line 230 "parser.y"
    {yyval.strval=strCat(yyvsp[0].strval,"=false",NULL);;}
    break;

  case 59:
#line 231 "parser.y"
    {yyval.strval=strCat("in(",yyvsp[-2].strval,",",yyvsp[0].strval,")",NULL);;}
    break;

  case 60:
#line 235 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 61:
#line 236 "parser.y"
    {yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL);;}
    break;

  case 62:
#line 240 "parser.y"
    {yyval.strval=strCat(yyvsp[-2].strval,":=",yyvsp[0].strval,NULL);;}
    break;

  case 65:
#line 248 "parser.y"
    {ruleline=yyline;}
    break;

  case 66:
#line 249 "parser.y"
    {printf("%s(%s,%s,%d).\n",defRuleType,yyvsp[-2].strval,yyvsp[0].strval,ruleline);;}
    break;

  case 67:
#line 253 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 68:
#line 254 "parser.y"
    {yyval.strval="false";;}
    break;

  case 69:
#line 255 "parser.y"
    {yyval.strval="false";;}
    break;

  case 70:
#line 259 "parser.y"
    {yyval.strval="body([],[])";;}
    break;

  case 71:
#line 260 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 72:
#line 264 "parser.y"
    {yyval.strval=strCat("body([",yyvsp[0].strval,"],[])",NULL);;}
    break;

  case 73:
#line 265 "parser.y"
    {yyval.strval=strCat("body([",yyvsp[-2].strval,"],[",yyvsp[0].strval,"])",NULL);;}
    break;

  case 74:
#line 266 "parser.y"
    {yyval.strval=strCat("body([],[",yyvsp[0].strval,"])",NULL);;}
    break;

  case 77:
#line 279 "parser.y"
    {ruleline=yyline;;}
    break;

  case 78:
#line 282 "parser.y"
    {printf("stripsdecl(%d,%s,[%s],[%s]).\n",ruleline,yyvsp[-7].strval,yyvsp[-4].strval,yyvsp[-1].strval);;}
    break;

  case 79:
#line 283 "parser.y"
    {ruleline=yyline; goalEnabled=1;;}
    break;

  case 80:
#line 285 "parser.y"
    {printf("stripsdecl(%d,%s,[%s],[]).\n",ruleline,yyvsp[-4].strval,yyvsp[-1].strval);
     goalEnabled=0;
    ;}
    break;

  case 81:
#line 291 "parser.y"
    {goalEnabled=1;;}
    break;

  case 82:
#line 291 "parser.y"
    {printf("heuristics(%s).\n",yyvsp[-1].strval); goalEnabled=0;}
    break;

  case 83:
#line 297 "parser.y"
    {yyval.strval=yyvsp[-1].strval;;}
    break;

  case 84:
#line 298 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 85:
#line 299 "parser.y"
    {yyval.strval="true";;}
    break;

  case 86:
#line 300 "parser.y"
    {yyval.strval="false";;}
    break;

  case 87:
#line 301 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 88:
#line 303 "parser.y"
    {yyval.strval=strCat("if(",yyvsp[-2].strval,",",yyvsp[-4].strval,",",yyvsp[0].strval,")",NULL);;}
    break;

  case 89:
#line 305 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," and ",yyvsp[0].strval,")",NULL);;}
    break;

  case 90:
#line 306 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," or ",yyvsp[0].strval,")",NULL);;}
    break;

  case 91:
#line 307 "parser.y"
    {yyval.strval=strCat("not(",yyvsp[0].strval,")",NULL);;}
    break;

  case 92:
#line 309 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," = ",yyvsp[0].strval,")",NULL);;}
    break;

  case 93:
#line 310 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," > ",yyvsp[0].strval,")",NULL);;}
    break;

  case 94:
#line 311 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," < ",yyvsp[0].strval,")",NULL);;}
    break;

  case 95:
#line 312 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," >= ",yyvsp[0].strval,")",NULL);;}
    break;

  case 96:
#line 313 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," <= ",yyvsp[0].strval,")",NULL);;}
    break;

  case 97:
#line 314 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," =\\= ",yyvsp[0].strval,")",NULL);;}
    break;

  case 98:
#line 316 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," + ",yyvsp[0].strval,")",NULL);;}
    break;

  case 99:
#line 317 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," - ",yyvsp[0].strval,")",NULL);;}
    break;

  case 100:
#line 318 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," * ",yyvsp[0].strval,")",NULL);;}
    break;

  case 101:
#line 319 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," / ",yyvsp[0].strval,")",NULL);;}
    break;

  case 102:
#line 320 "parser.y"
    {yyval.strval=strCat("(",yyvsp[-2].strval," mod ",yyvsp[0].strval,")",NULL);;}
    break;

  case 103:
#line 321 "parser.y"
    {yyval.strval=strCat("abs(",yyvsp[-1].strval,")",NULL);;}
    break;

  case 104:
#line 322 "parser.y"
    {yyval.strval=strCat("abs(",yyvsp[-1].strval,")",NULL);;}
    break;

  case 105:
#line 324 "parser.y"
    {yyval.strval=strCat("(-",yyvsp[0].strval,")",NULL);;}
    break;

  case 106:
#line 326 "parser.y"
    {yyval.strval=strCat("aggregate(sum,",yyvsp[0].strval,")",NULL);;}
    break;

  case 107:
#line 327 "parser.y"
    {yyval.strval=strCat("aggregate(product,",yyvsp[0].strval,")",NULL);;}
    break;

  case 108:
#line 328 "parser.y"
    {yyval.strval=strCat("aggregate(min,",yyvsp[0].strval,")",NULL);;}
    break;

  case 109:
#line 329 "parser.y"
    {yyval.strval=strCat("aggregate(max,",yyvsp[0].strval,")",NULL);;}
    break;

  case 110:
#line 330 "parser.y"
    {yyval.strval=strCat("aggregate(count,",yyvsp[0].strval,")",NULL);;}
    break;

  case 111:
#line 331 "parser.y"
    {yyval.strval=strCat("aggregate(forall,",yyvsp[0].strval,")",NULL);;}
    break;

  case 112:
#line 332 "parser.y"
    {yyval.strval=strCat("aggregate(exists,",yyvsp[0].strval,")",NULL);;}
    break;

  case 113:
#line 333 "parser.y"
    {yyval.strval=strCat("aggregate(forall,intensional(",yyvsp[-1].strval,",true,[",yyvsp[-3].strval,"]))",NULL);;}
    break;

  case 114:
#line 334 "parser.y"
    {yyval.strval=strCat("aggregate(exists,intensional(",yyvsp[-1].strval,",true,[",yyvsp[-3].strval,"]))",NULL);;}
    break;

  case 115:
#line 338 "parser.y"
    {yyval.strval = yyvsp[0].strval;;}
    break;

  case 116:
#line 340 "parser.y"
    {yyval.strval = strCat("unknown(",yyvsp[-1].strval,")",NULL);;}
    break;

  case 117:
#line 343 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 118:
#line 344 "parser.y"
    {yyval.strval=strCat("r(",yyvsp[-1].strval,",",yyvsp[0].strval,",[])",NULL);;}
    break;

  case 119:
#line 346 "parser.y"
    {yyval.strval=strCat("r(",yyvsp[-4].strval,",",yyvsp[-3].strval,",[",yyvsp[-1].strval,"])",NULL);;}
    break;

  case 120:
#line 347 "parser.y"
    {yyval.strval=strCat("r(1,",yyvsp[0].strval,",[])",NULL);;}
    break;

  case 121:
#line 349 "parser.y"
    {yyval.strval=strCat("r(1,",yyvsp[-3].strval,",[",yyvsp[-1].strval,"])",NULL);;}
    break;

  case 122:
#line 353 "parser.y"
    {yyval.strval="0";;}
    break;

  case 123:
#line 354 "parser.y"
    { if (!goalEnabled) {
                              yyerror("ERROR: 'goal.' modifier not allowed in this context.");
		  	      exit(1);
			  }
			  yyval.strval="g";
			;}
    break;

  case 124:
#line 360 "parser.y"
    {yyval.strval="-1";;}
    break;

  case 125:
#line 364 "parser.y"
    {yyval.strval=yyvsp[0].strval;;}
    break;

  case 126:
#line 365 "parser.y"
    {yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL);;}
    break;

  case 127:
#line 369 "parser.y"
    { yyval.strval=yyvsp[0].strval; ;}
    break;

  case 128:
#line 370 "parser.y"
    { yyval.strval=strCat(yyvsp[-2].strval,",",yyvsp[0].strval,NULL); ;}
    break;

  case 129:
#line 374 "parser.y"
    { yyval.strval=yylval.strval; ;}
    break;

  case 130:
#line 375 "parser.y"
    { yyval.strval="x"; ;}
    break;

  case 131:
#line 379 "parser.y"
    { yyval.strval=yylval.strval; ;}
    break;

  case 132:
#line 382 "parser.y"
    { yyval.strval=strCat("v('",yylval.strval,"')",NULL); ;}
    break;

  case 133:
#line 384 "parser.y"
    { yyval.strval=yylval.strval; ;}
    break;


    }

/* Line 999 of yacc.c.  */
#line 2002 "y.tab.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("syntax error, unexpected ") + 1;
	  yysize += yystrlen (yytname[yytype]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* Return failure if at end of input.  */
      if (yychar == YYEOF)
        {
	  /* Pop the error token.  */
          YYPOPSTACK;
	  /* Pop the rest of the stack.  */
	  while (yyss < yyssp)
	    {
	      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
	      yydestruct (yystos[*yyssp], yyvsp);
	      YYPOPSTACK;
	    }
	  YYABORT;
        }

      YYDSYMPRINTF ("Error: discarding", yytoken, &yylval, &yylloc);
      yydestruct (yytoken, &yylval);
      yychar = YYEMPTY;

    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*----------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action.  |
`----------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
      yydestruct (yystos[yystate], yyvsp);
      yyvsp--;
      yystate = *--yyssp;

      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;


  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 120 "parser.y"


